io.etcd.jetcd.api

## Interface LeaseTimeToLiveRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  LeaseTimeToLiveRequest, LeaseTimeToLiveRequest.Builder

    public interface LeaseTimeToLiveRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getID()` ID is the lease ID for the lease.
`boolean` `getKeys()` keys is true to query all the keys attached to this lease.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getID

    long getID()

     ID is the lease ID for the lease.

`int64 ID = 1;`

Returns:
  The iD.

#### getKeys

    boolean getKeys()

     keys is true to query all the keys attached to this lease.

`bool keys = 2;`

Returns:
  The keys.